# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ssi-tzkey"
version = "0.2.0"
authors = ["Spruce Systems, Inc."]
description = "Implementation of Tezos related functions for the ssi library."
documentation = "https://docs.rs/ssi-tzkey/"
license = "Apache-2.0"
repository = "https://github.com/spruceid/ssi/"

[dependencies.bs58]
version = "0.4"
features = ["check"]

[dependencies.ed25519-dalek]
version = "2.0"

[dependencies.ssi-jwk]
version = "0.2"
features = ["tezos"]
default-features = false

[dependencies.ssi-jws]
version = "0.2"
features = ["tezos"]
default-features = false

[dependencies.thiserror]
version = "1.0.40"

[dev-dependencies.hex]
version = "0.4.3"

[dev-dependencies.serde_json]
version = "1.0"
features = ["arbitrary_precision"]
